## org.eclipse.datatools.enablement.sybase.deltaddl
Class SybaseDeltaDdlGeneration

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.deltaddl.SybaseDeltaDdlGeneration

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.internal.core.rte.DeltaDDLGenerator, ISybaseDeltaDdlGenerator

Direct Known Subclasses:
  SybaseASEDeltaDdlGeneration

    public class SybaseDeltaDdlGeneration

extends java.lang.Object
implements ISybaseDeltaDdlGenerator

some code copied from GenericDeltaDdlGenerator, since some methods of GenericDeltaDdlGenerator are final or private.

Author:
  linsong

Nested Class Summary
`static class` `SybaseDeltaDdlGeneration.FeatureChangeRecord`

Field Summary
`static int` `CREATE`
`static int` `DROP`
`static int` `MODIFIED`

Constructor Summary
`SybaseDeltaDdlGeneration()`

Method Summary
`java.lang.String[]` `generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject, org.eclipse.emf.ecore.change.ChangeDescription changeDescription, EngineeringOption[] options, org.eclipse.core.runtime.IProgressMonitor monitor)` set customized options to control the delta ddl generated scripted style
`java.lang.String[]` `generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject, org.eclipse.emf.ecore.change.ChangeDescription changeDescription, org.eclipse.core.runtime.IProgressMonitor monitor)`
`SybaseDdlScript` `generateDeltaDDLReturnScript(org.eclipse.emf.ecore.EObject rootObject, org.eclipse.emf.ecore.change.ChangeDescription changeDescription, EngineeringOption[] options, org.eclipse.core.runtime.IProgressMonitor monitor)`
`SybaseDdlScript` `generateDeltaDDLReturnScript(org.eclipse.emf.ecore.EObject rootObject, org.eclipse.emf.ecore.change.ChangeDescription changeDescription, org.eclipse.core.runtime.IProgressMonitor monitor)`
`org.eclipse.datatools.connectivity.sqm.internal.core.rte.EngineeringOptionCategory[]` `getOptionCategories()`
`EngineeringOption[]` `getOptions()`
`java.lang.Object` `getParameter()`
`void` `setEngineeringOption(EngineeringOption[] options)`
`void` `setParameter(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATE

    public static final int CREATE

See Also:
  Constant Field Values

### DROP

    public static final int DROP

See Also:
  Constant Field Values

### MODIFIED

    public static final int MODIFIED

See Also:
  Constant Field Values

Constructor Detail

### SybaseDeltaDdlGeneration

    public SybaseDeltaDdlGeneration()

Method Detail

### generateDeltaDDL

    public java.lang.String[] generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject,
                                               org.eclipse.emf.ecore.change.ChangeDescription changeDescription,
                                               org.eclipse.core.runtime.IProgressMonitor monitor)

  Specified by:
    `generateDeltaDDL` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.rte.DeltaDDLGenerator`

### generateDeltaDDLReturnScript

    public SybaseDdlScript generateDeltaDDLReturnScript(org.eclipse.emf.ecore.EObject rootObject,
                                                        org.eclipse.emf.ecore.change.ChangeDescription changeDescription,
                                                        org.eclipse.core.runtime.IProgressMonitor monitor)

### generateDeltaDDL

    public java.lang.String[] generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject,
                                               org.eclipse.emf.ecore.change.ChangeDescription changeDescription,
                                               EngineeringOption[] options,
                                               org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `ISybaseDeltaDdlGenerator`
  set customized options to control the delta ddl generated scripted style

  Specified by:
    `generateDeltaDDL` in interface `ISybaseDeltaDdlGenerator`
  Parameters:
    `rootObject` - TODO
  Returns:

### generateDeltaDDLReturnScript

    public SybaseDdlScript generateDeltaDDLReturnScript(org.eclipse.emf.ecore.EObject rootObject,
                                                        org.eclipse.emf.ecore.change.ChangeDescription changeDescription,
                                                        EngineeringOption[] options,
                                                        org.eclipse.core.runtime.IProgressMonitor monitor)

### getOptions

    public EngineeringOption[] getOptions()

  Specified by:
    `getOptions` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.rte.DeltaDDLGenerator`

### setEngineeringOption

    public void setEngineeringOption(EngineeringOption[] options)

### getOptionCategories

    public org.eclipse.datatools.connectivity.sqm.internal.core.rte.EngineeringOptionCategory[] getOptionCategories()

  Specified by:
    `getOptionCategories` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.rte.DeltaDDLGenerator`

### setParameter

    public void setParameter(java.lang.Object obj)

### getParameter

    public java.lang.Object getParameter()